{% load auth_extras %}
{% load settings_extras %}

<div class="navbar navbar-expand-lg navbar-dark bg-dark">
  <a class="navbar-brand" href={% url "metabaseHome:index" %}> MetaBase </a>
  <button type="button" class="navbar-toggler" data-toggle="collapse" data-target=".navbar-collapse">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="navbar-collapse collapse">
    <ul class="navbar-nav">
      <li class="nav-item {% if active_tab == 'home' %}active{% endif %}">
        <a class="nav-link" href={% url "metabaseHome:index" %}> Home </a>
      </li>
      <li class="nav-item {% if active_tab == 'browser' %}active{% endif %}">
        <a class="nav-link" href={% url "metabaseBrowser:browser" %}> Browser </a>
      </li>
      {% if user|has_permission:"editor" %}
      <li class="nav-item dropdown {% if active_tab == 'manage_project' or active_tab == 'manage_sequencing'%}active{% endif %}">
        <a class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> Editor </a>
        <div class="dropdown-menu bg-dark" aria-labelledby=".dropdown-toggle">
          <a class="dropdown-item {% if active_tab == 'manage_project' %}active{% endif %}" href={% url "metabaseEditor:manage_project" %}> Manage project </a>
          <a class="dropdown-item {% if active_tab == 'manage_sequencing' %}active{% endif %}" href={% url "metabaseEditor:manage_sequencing" %}> Manage sequencing </a>
        </div>
      </li>
      {%endif%}
      <li class="nav-item {% if active_tab == 'api' %}active{% endif %}">
        <a class="nav-link" href={% url "metabaseAPI:api" %}> API </a>
      </li>
    </ul>
  </div>
  <div class="navbar-collapse collapse justify-content-end">
    {%get_version as version%}
    {% if version %}
    <span class="navbar-text mr-3">{{ version }}</span>
    {% endif%}

    {% if user.is_authenticated %}
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link pr-3 {% if active_tab == 'my_account' %}active{% endif %}" href={% url "metabaseHome:myaccount" %}>
            <i class="fa fa-user"></i> My account
          </a>
        </li>
        <li class="nav-item">
          <a id="user-logout" class="btn btn-outline-light" href={% url "logout" %}> Logout </a>
        </li>
      </ul>
    {%else%}
      <a id="user-logout" class="btn btn-outline-light" href={% url "login" %}> Sign in </a>
    {% endif %}
  </div>
</div>
